package com.chelvc.cloud.maintain.controller;

import com.chelvc.cloud.vehicle.api.param.UserInviteParams;
import com.chelvc.cloud.vehicle.api.service.UserInviteService;
import lombok.RequiredArgsConstructor;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 用户邀请接口
 */
@Validated
@RequiredArgsConstructor
@RestController
@RequestMapping("/invite")
public class UserInviteController {

    @DubboReference
    private UserInviteService userInviteService;

    /**
     * 绑定关系
     * @param param
     * @author igl
     * @date 2024/2/23 17:25
     */
    @PostMapping("/bind")
    public void bindInvite(@Validated @RequestBody UserInviteParams param) {
        this.userInviteService.bindInvite(param);
    }
}
